Package org.eclipse.gef.ui.actions

# Class GEFActionConstants

java.lang.Object
org.eclipse.gef.ui.actions.GEFActionConstants

All Implemented Interfaces:
  `IWorkbenchActionConstants`

public final class GEFActionConstants extends Object implements IWorkbenchActionConstants
Defines the names of those actions which are preregistered with the `GraphicalEditor`. This interface extends the set of names available from `IWorkbenchActionConstants`. It also defines the names of the menu groups in a graphical editor's context menu.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ALIGN_BOTTOM`
Align bottom action id.
`static final String`
`ALIGN_CENTER`
Align center (horizontal) action id.
`static final String`
`ALIGN_LEFT`
Align left action id.
`static final String`
`ALIGN_MIDDLE`
Align middle (vertical) action id.
`static final String`
`ALIGN_RIGHT`
Align right action id.
`static final String`
`ALIGN_TOP`
Align top action id.
`static final String`
`CONTEXT_TEXT`
The ID for the GEF Text Context.
`static final String`
`DIRECT_EDIT`
Direct edit action id.
`static final String`
`GROUP_COPY`
Context menu group for copy/paste related actions.
`static final String`
`GROUP_EDIT`
Context menu group for EditPart manipulation actions.
`static final String`
`GROUP_FIND`
Context menu group for find/replace related actions.
`static final String`
`GROUP_PRINT`
Context menu group for print related actions.
`static final String`
`GROUP_REST`
Context menu group for actions which do not fit in one of the other categories.
`static final String`
`GROUP_SAVE`
Context menu group for save related actions.
`static final String`
`GROUP_UNDO`
Context menu group for undo/redo related actions.
`static final String`
`GROUP_VIEW`
Context menu group for view related actions.
`static final String`
`MATCH_HEIGHT`
Value: `"org.eclipse.gef.match.height"`
`static final String`
`MATCH_SIZE`
Value: `"org.eclipse.gef.match.size"`
`static final String`
`MATCH_WIDTH`
Value: `"org.eclipse.gef.match.width"`
`static final String`
`TOGGLE_GRID_VISIBILITY`
Toggle grid visibility contribution id
Value: `"org.eclipse.gef.snap.grid.visibility"`
`static final String`
`TOGGLE_RULER_VISIBILITY`
Toggle ruler visibility contribution id
Value: `"org.eclipse.gef.rulers.visibility"`
`static final String`
`TOGGLE_SNAP_TO_GEOMETRY`
Toggle snap to geometry contribution id
Value: `"org.eclipse.gef.snap.geometry"`
`static final String`
`ZOOM_IN`
Zoom in contribution id.
`static final String`
`ZOOM_OUT`
Zoom out contribution id.
`static final String`
`ZOOM_TOOLBAR_WIDGET`
Zoom contribution id.

### Fields inherited from interface org.eclipse.ui.IWorkbenchActionConstants

`ABOUT, ADD_EXT, ADD_TASK, BACK, BOOKMARK, BUILD, BUILD_EXT, BUILD_GROUP, BUILD_PROJECT, CLOSE, CLOSE_ALL, CLOSE_EXT, CLOSE_PROJECT, COPY, CUT, CUT_EXT, DELETE, EDIT_END, EDIT_GROUP, EDIT_START, EXPORT, FILE_END, FILE_START, FIND, FIND_EXT, FORWARD, GLOBAL_ACTIONS, GO_INTO, GO_TO, GO_TO_RESOURCE, GROUP_ADD, GROUP_APP, GROUP_EDITOR, GROUP_FILE, GROUP_HELP, GROUP_MANAGING, GROUP_REORGANIZE, GROUP_SHOW_IN, HELP_END, HELP_START, HISTORY_GROUP, IMPORT, IMPORT_EXT, LAUNCH_EXT, M_EDIT, M_FILE, M_HELP, M_LAUNCH, M_NAVIGATE, M_PERSPECTIVE, M_PROJECT, M_PROJECT_CONFIGURE, M_VIEW, M_WINDOW, M_WORKBENCH, MB_ADDITIONS, MENU_PREFIX, MOVE, MRU, NAV_END, NAV_START, NEW, NEW_EXT, NEW_GROUP, NEXT, OPEN_EXT, OPEN_PROJECT, PASTE, PERSPECTIVE_END, PERSPECTIVE_START, PIN_GROUP, PREVIOUS, PRINT, PRINT_EXT, PROJ_END, PROJ_START, PROPERTIES, QUIT, REBUILD_ALL, REBUILD_PROJECT, REDO, REFRESH, RENAME, REVERT, SAVE, SAVE_ALL, SAVE_AS, SAVE_EXT, SAVE_GROUP, SELECT_ALL, SEP, SHOW_EXT, SHOW_IN, SYNC_EDITOR, TOOLBAR_EDIT, TOOLBAR_FILE, TOOLBAR_HELP, TOOLBAR_NAVIGATE, UNDO, UNDO_EXT, UP, VIEW_EXT, WB_END, WB_START, WINDOW_EXT`

## Constructor Summary

Constructors
Constructor
Description
`GEFActionConstants()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addStandardActionGroups(IMenuManager menu)`
Adds standard group separators to the given MenuManager.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONTEXT_TEXT

public static final String CONTEXT_TEXT
The ID for the GEF Text Context.

See Also:
  - Constant Field Values

### ALIGN_BOTTOM

public static final String ALIGN_BOTTOM
Align bottom action id. Value: `"org.eclipse.gef.align_bottom"`

See Also:
  - Constant Field Values

### ALIGN_CENTER

public static final String ALIGN_CENTER
Align center (horizontal) action id. Value: `"org.eclipse.gef.align_center"`

See Also:
  - Constant Field Values

### ALIGN_LEFT

public static final String ALIGN_LEFT
Align left action id. Value: `"org.eclipse.gef.align_left"`

See Also:
  - Constant Field Values

### ALIGN_MIDDLE

public static final String ALIGN_MIDDLE
Align middle (vertical) action id. Value: `"org.eclipse.gef.align_middle"`

See Also:
  - Constant Field Values

### ALIGN_RIGHT

public static final String ALIGN_RIGHT
Align right action id. Value: `"org.eclipse.gef.align_right"`

See Also:
  - Constant Field Values

### ALIGN_TOP

public static final String ALIGN_TOP
Align top action id. Value: `"org.eclipse.gef.align_top"`

See Also:
  - Constant Field Values

### DIRECT_EDIT

public static final String DIRECT_EDIT
Direct edit action id. Value: `"org.eclipse.gef.direct_edit"`

See Also:
  - Constant Field Values

### GROUP_COPY

public static final String GROUP_COPY
Context menu group for copy/paste related actions. Value: `"org.eclipse.gef.group.copy"`

See Also:
  - Constant Field Values

### GROUP_EDIT

public static final String GROUP_EDIT
Context menu group for EditPart manipulation actions. Value: `"org.eclipse.gef.group.edit"`

See Also:
  - Constant Field Values

### GROUP_FIND

public static final String GROUP_FIND
Context menu group for find/replace related actions. Value: `"org.eclipse.gef.group.find"`

See Also:
  - Constant Field Values

### GROUP_PRINT

public static final String GROUP_PRINT
Context menu group for print related actions. Value: `"org.eclipse.gef.group.print"`

See Also:
  - Constant Field Values

### GROUP_REST

public static final String GROUP_REST
Context menu group for actions which do not fit in one of the other categories. Value: `"org.eclipse.gef.group.rest"`

See Also:
  - Constant Field Values

### GROUP_SAVE

public static final String GROUP_SAVE
Context menu group for save related actions. Value: `"org.eclipse.gef.group.save"`

See Also:
  - Constant Field Values

### GROUP_UNDO

public static final String GROUP_UNDO
Context menu group for undo/redo related actions. Value: `"org.eclipse.gef.group.undo"`

See Also:
  - Constant Field Values

### GROUP_VIEW

public static final String GROUP_VIEW
Context menu group for view related actions. Value: `"org.eclipse.gef.group.view"`

See Also:
  - Constant Field Values

### MATCH_SIZE

public static final String MATCH_SIZE
Value: `"org.eclipse.gef.match.size"`

Since:
  3.7
See Also:
  - Constant Field Values

### MATCH_WIDTH

public static final String MATCH_WIDTH
Value: `"org.eclipse.gef.match.width"`

See Also:
  - Constant Field Values

### MATCH_HEIGHT

public static final String MATCH_HEIGHT
Value: `"org.eclipse.gef.match.height"`

See Also:
  - Constant Field Values

### ZOOM_TOOLBAR_WIDGET

public static final String ZOOM_TOOLBAR_WIDGET
Zoom contribution id. Value: `"org.eclipse.gef.zoom"`

See Also:
  - Constant Field Values

### ZOOM_IN

public static final String ZOOM_IN
Zoom in contribution id. Value: `"org.eclipse.gef.zoom_in"`

See Also:
  - Constant Field Values

### ZOOM_OUT

public static final String ZOOM_OUT
Zoom out contribution id. Value: `"org.eclipse.gef.zoom_out"`

See Also:
  - Constant Field Values

### TOGGLE_GRID_VISIBILITY

public static final String TOGGLE_GRID_VISIBILITY
Toggle grid visibility contribution id
Value: `"org.eclipse.gef.snap.grid.visibility"`

See Also:
  - Constant Field Values

### TOGGLE_RULER_VISIBILITY

public static final String TOGGLE_RULER_VISIBILITY
Toggle ruler visibility contribution id
Value: `"org.eclipse.gef.rulers.visibility"`

See Also:
  - Constant Field Values

### TOGGLE_SNAP_TO_GEOMETRY

public static final String TOGGLE_SNAP_TO_GEOMETRY
Toggle snap to geometry contribution id
Value: `"org.eclipse.gef.snap.geometry"`

See Also:
  - Constant Field Values

## Constructor Details

### GEFActionConstants

public GEFActionConstants()

## Method Details

### addStandardActionGroups

public static void addStandardActionGroups(IMenuManager menu)
Adds standard group separators to the given MenuManager.

Parameters:
  `menu` - the MenuManager